* { margin:0; padding:0; box-sizing:border-box; }

body {
    font-family: 'Poppins', sans-serif;
    background: linear-gradient(135deg, #0f0c29, #302b63, #24243e);
    color: #fff;
    min-height:100vh;
    display:flex;
    align-items:center;
    justify-content:center;
    text-align:center;
    padding:20px;
}

.navbar-container {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 15px 50px;
    background: linear-gradient(
        145deg,
        rgba(8,8,20,0.95),
        rgba(15,15,35,0.95)
    );
    z-index: 1000;        /* nad innymi elementami */
    box-sizing: border-box;
    border-bottom: 1px solid rgba(255,0,128,0.3);
    box-shadow: 0 0 25px rgba(255,0,128,0.12);
}

.logo {
    font-size: 24px;
    font-weight: bold;
    color: white;
}

.logo span {
    /* color: #9b59b6; */
    color: rgba(255, 0, 128, 0.3);
}

.navbar {
    display: flex;
    gap: 30px;
    justify-content: center;
    flex: 1;
}

.navbar a {
    color: white;
    text-decoration: none;
    font-weight: 500;
    transition: 0.3s;
}

.navbar a:hover,
.navbar a.active {
    /* color: #ff4ecd; */
    color: rgba(255, 0, 128, 0.7);
    transform:scale(1.2);
}

/* .live-status {
    padding: 6px 15px;
    border-radius: 20px;
    font-size: 11px;
    font-weight: 900;
    display: flex;
    align-items: center;
    margin-right: 40px;
    transition: all 0.3s ease;
    min-width: 91px;
}

.live-status-offline {
    border: 1px solid #555;
    color: #555;
}

.live-status-live {
    border: 1px solid #00ad2b;
    color: #00ad2b;
}

.pulse {
    width: 8px;
    height: 8px;
    box-shadow: none;
    border-radius: 50%;
    display: inline-block;
    margin-right: 8px;
}

.pulse-offline {
    background: rgb(85, 85, 85);
    animation: pulse-offline 2s infinite ease-in-out;
    
}

.pulse-live {
    background: rgb(0, 172, 29);
    animation: pulse-live 1.5s infinite ease-in-out;
}

@keyframes pulse-live {
    0% {
        transform: scale(1);
        box-shadow: 0 0 0 0 rgba(0, 172, 29, 0.7);
    }

    70% {
        transform: scale(1.15);
        box-shadow: 0 0 0 8px rgba(0, 172, 29, 0);
    }

    100% {
        transform: scale(1);
        box-shadow: 0 0 0 0 rgba(0, 172, 29, 0);
    }
}

@keyframes pulse-offline {
    0%,
    100% {
        opacity: 0.5;
    }

    50% {
        opacity: 1;
    }
}

#status-text {
    display: block;
    text-align: center;
    margin-top: 0.77px;
    width: 100%;
    color: #fff;
} */

.live-status-wrapper {
  display: flex;
  gap: 15px;
}

.live-status {
    position: relative;
    width: 26px;
    height: 26px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: all 0.3s ease;
}

.live-status .twitch-icon,
.live-status .youtube-icon,
.live-status .kick-icon,
.live-status .tiktok-icon {
    width: 13px;
    height: 13px;
    filter: grayscale(100%) brightness(60%);
    transition: filter 0.3s ease;
    display: block;
}

.live-status.offline {
    border: 1px solid #555;
    animation: pulse-offline 2s infinite ease-in-out;
}

@keyframes pulse-offline {
    0%,
    100% {
        opacity: 0.5;
    }

    50% {
        opacity: 1;
    }
}

/* Online */
.live-status.online.twitch { 
    border-color: #8A2BE2; 
    animation: pulse-live-twitch 1.5s infinite ease-in-out;
}
.live-status.online.twitch .twitch-icon
 { 
    filter: none;
}
.live-status.online.twitch .icon img { filter: none; }

.live-status.online.kick { 
    border-color: #00FF00; 
    animation: pulse-live-kick 1.5s infinite ease-in-out;
}
.live-status.online.kick .kick-icon
 { 
    filter: none;
}
.live-status.online.kick .icon img { filter: none; }

.live-status.online.youtube { 
    border-color: #FF0000; 
    animation: pulse-live-youtube 1.5s infinite ease-in-out;
}
.live-status.online.youtube .youtube-icon
 { 
    filter: none;
}
.live-status.online.youtube .icon img { filter: none; }

.live-status.online.tiktok { 
    border-color: #FF69B4; 
    animation: pulse-live-tiktok 1.5s infinite ease-in-out;
}
.live-status.online.tiktok .tiktok-icon
 { 
    filter: none;
}
.live-status.online.tiktok .icon img { filter: none; }

@keyframes pulse-live-twitch {
    0% {
        transform: scale(1);
        box-shadow: 0 0 0 0 rgba(138, 43, 226, 0.7);
    }

    70% {
        transform: scale(1.15);
        box-shadow: 0 0 0 4px rgba(138, 43, 226, 0); /* zmniejszony obwód */
    }

    100% {
        transform: scale(1);
        box-shadow: 0 0 0 0 rgba(138, 43, 226, 0);
    }
}

@keyframes pulse-live-kick {
    0% {
        transform: scale(1);
        box-shadow: 0 0 0 0 rgba(0, 255, 0, 0.7);
    }

    70% {
        transform: scale(1.15);
        box-shadow: 0 0 0 4px rgba(0, 255, 0, 0);
    }

    100% {
        transform: scale(1);
        box-shadow: 0 0 0 0 rgba(0, 255, 0, 0);
    }
}

@keyframes pulse-live-youtube {
    0% {
        transform: scale(1);
        box-shadow: 0 0 0 0 rgba(255, 0, 0, 0.7);
    }

    70% {
        transform: scale(1.15);
        box-shadow: 0 0 0 4px rgba(255, 0, 0, 0);
    }

    100% {
        transform: scale(1);
        box-shadow: 0 0 0 0 rgba(255, 0, 0, 0);
    }
}

@keyframes pulse-live-tiktok {
    0% {
        transform: scale(1);
        box-shadow: 0 0 0 0 rgba(255, 105, 180, 0.7);
    }

    70% {
        transform: scale(1.15);
        box-shadow: 0 0 0 4px rgba(255, 105, 180, 0);
    }

    100% {
        transform: scale(1);
        box-shadow: 0 0 0 0 rgba(255, 105, 180, 0);
    }
}

.hamburger {
    display: none;
    font-size: 28px;
    color: white;
    cursor: pointer;
}

.container {
    max-width:900px;
    width:100%;
}

.avatar {
    width:300px;
    height:300px;
    max-width:100%;
    border-radius:100%;
    object-fit:cover;
    border:4px solid rgba(255,0,128,0.4);
    /* box-shadow: 0 0 12px rgba(255,0,128,0.12); */
    margin-bottom:20px;
}

h1 {
    font-size:2.5rem;
}

p.bio {
    margin-top:10px;
    opacity:0.8;
}

.socials {
    margin-top:20px;
    display:flex;
    justify-content:center;
    gap:25px;
    flex-wrap:wrap;
}

.socials a img {
    width:35px;
    height:35px;
    transition:0.3s;
}

.socials a:hover img {
    transform:scale(1.2);
}

.socials a {
    text-decoration:none;
    color:white;
    font-size:1.8rem;
    transition:0.3s;
}

.socials a:hover {
    color:#ff4ecd;
    transform:scale(1.2);
}

.icon {
    width: 28px;
    height: 28px;
    display: block;
    background-size: cover;
    -webkit-mask-size: cover;
    mask-size: cover;
}

.kick-icon {
    background-color: #39ff14;
    -webkit-mask-image: url("https://cdn.jsdelivr.net/npm/simple-icons@v11/icons/kick.svg");
    mask-image: url("https://cdn.jsdelivr.net/npm/simple-icons@v11/icons/kick.svg");
}

.instagram-icon {
    background-color: #E1306C;
    -webkit-mask-image: url("https://cdn.jsdelivr.net/npm/simple-icons@v11/icons/instagram.svg");
    mask-image: url("https://cdn.jsdelivr.net/npm/simple-icons@v11/icons/instagram.svg");
}

.twitch-icon {
    background-color: #9146FF;
    -webkit-mask-image: url("https://cdn.jsdelivr.net/npm/simple-icons@v11/icons/twitch.svg");
    mask-image: url("https://cdn.jsdelivr.net/npm/simple-icons@v11/icons/twitch.svg");
}

.youtube-icon {
    background-color: #FF0000;
    -webkit-mask-image: url("https://cdn.jsdelivr.net/npm/simple-icons@v11/icons/youtube.svg");
    mask-image: url("https://cdn.jsdelivr.net/npm/simple-icons@v11/icons/youtube.svg");
}

.x-icon {
    background-color: #000000;
    -webkit-mask-image: url("https://cdn.jsdelivr.net/npm/simple-icons@v11/icons/x.svg");
    mask-image: url("https://cdn.jsdelivr.net/npm/simple-icons@v11/icons/x.svg");
}

.steam-icon {
    background-color: #c5c3c0;
    -webkit-mask-image: url("https://cdn.jsdelivr.net/npm/simple-icons@v11/icons/steam.svg");
    mask-image: url("https://cdn.jsdelivr.net/npm/simple-icons@v11/icons/steam.svg");
}

.discord-icon {
    background-color: #5865F2;
    -webkit-mask-image: url("https://cdn.jsdelivr.net/npm/simple-icons@v11/icons/discord.svg");
    mask-image: url("https://cdn.jsdelivr.net/npm/simple-icons@v11/icons/discord.svg");
}

.tiktok-icon {
    /* background: linear-gradient(135deg, #00f2ea 0%, #ff0050 100%); */
    background-color: #000000;
    -webkit-mask-image: url("https://cdn.jsdelivr.net/npm/simple-icons@v11/icons/tiktok.svg");
    mask-image: url("https://cdn.jsdelivr.net/npm/simple-icons@v11/icons/tiktok.svg");
}

.card {
    background: rgba(255,255,255,0.05);
    backdrop-filter: blur(10px);
    padding:25px;
    border-radius:20px;
    width:220px;
    transition:0.3s;
    cursor:pointer;
}

.card:hover {
    transform: translateY(-10px);
    background: rgba(255,255,255,0.1);
}

.card h2 {
    margin-bottom:10px;
}

.spec-section-support {
    background: rgba(20,20,40,0.85);
    border: 1px solid rgba(255,255,255,0.08);
    border-radius: 22px;
    padding: 30px;
    backdrop-filter: blur(12px);
    box-shadow: 0 0 30px rgba(0,0,0,0.4);
    display: none;
}

.spec-section-support.active {
    display: block;
}

.spec-section {
    background: rgba(20,20,40,0.85);
    border: 1px solid rgba(255,255,255,0.08);
    border-radius: 22px;
    padding: 30px;
    backdrop-filter: blur(12px);
    box-shadow: 0 0 30px rgba(0,0,0,0.4);
}

.section-title {
    display: flex;
    align-items: center;
    gap: 12px;
    margin-bottom: 25px;
    border-bottom: 1px solid rgba(255,255,255,0.08);
    padding-bottom: 18px;
}

.section-title span {
    font-size: 1.4rem;
    color: #fff;
}

.section-title h2 {
    font-size: 1.5rem;
    color: #fff;
    font-weight: 700;
    letter-spacing: 1px;
}

.spec-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(260px, 1fr));
    gap: 18px;
}

.spec-grid-2 {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(360px, 1fr));
    gap: 18px;
}

.spec-grid-3 {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 18px;
}

.tickets-section {
    background: rgba(20,20,40,0.85);
    border: 1px solid rgba(255,255,255,0.08);
    border-radius: 22px;
    padding: 30px;
    backdrop-filter: blur(12px);
    box-shadow: 0 0 30px rgba(0,0,0,0.4);
}

.tickets-title {
    display: flex;
    flex-direction: column;
    gap: 8px;
    margin-bottom: 25px;
    border-bottom: 1px solid rgba(255,255,255,0.08);
    padding-bottom: 18px;
}

.tickets-title span {
    font-size: 1.4rem;
    color: #fff;
}

.tickets-title h2 {
    font-size: 1.5rem;
    color: #fff;
    font-weight: 700;
    letter-spacing: 1px;
}

.tickets-title p {
    color: #8c8fa7;
    margin-top: 4px;
    font-size: 0.95rem;
    text-align: left;
}

.tickets-title .title-left {
    display: flex;
    align-items: center;
    gap: 12px;
}

.tickets-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit,minmax(320px,1fr));
    gap: 22px;
}

.ticket-card {
    background: linear-gradient(
        145deg,
        rgba(8,8,20,0.95),
        rgba(15,15,35,0.95)
    );

    border-radius: 16px;
    padding: 20px;
    border: 1px solid rgba(255,255,255,0.04);
    transition: 0.25s ease;
}

.ticket-card:hover {
    transform: translateY(-5px);
    border-color: rgba(255,0,128,0.3);
    box-shadow: 0 0 25px rgba(255,0,128,0.12);
}

.ticket-top {
    display: flex;
    gap: 10px;
    flex-wrap: wrap;
    margin-bottom: 18px;
}

.price, 
.badge {
    padding: 7px 14px;
    border-radius: 10px;
    font-size: 0.75rem;
    font-weight: 700;
    letter-spacing: 0.5px;
}

.green {
    background: #5f53ff;
    color: white;
}

.green-dark {
    background: #00b85c;
    color: white;
}

.gold {
    background: #f0b429;
    color: black;
}

.red {
    background: #ff4d4d;
    color: white;
}

.lime {
    background: #2ad66f;
    color: black;
}

.pink {
    background: #ff4ecd;
    color: white;
}

.ticket-card h3 {
    font-size: 1.15rem;
    margin-bottom: 15px;
    line-height: 1.4;
}

.ticket-desc {
    color: #a7abc2;
    line-height: 1.7;
    margin-bottom: 20px;
}

.ticket-bottom {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 15px;
    margin-top: 10px;
    flex-wrap: wrap;
}

.viewers {
    color: #9f63ff;
    font-size: 0.85rem;
    font-weight: 600;
}

.details-btn {
    padding: 10px 18px;
    border: 1px solid #ff4ecd;
    border-radius: 12px;
    color: #ff4ecd;
    text-decoration: none;
    font-weight: 700;
    font-size: 0.85rem;
    transition: 0.25s;
}

.details-btn:hover {
    background: #ff4ecd;
    color: white;
}

.rules-wrapper {
    margin-top: 24px;
}

.rules-box {
    background: linear-gradient(
        145deg,
        rgba(8,8,20,0.95),
        rgba(15,15,35,0.95)
    );

    border: 1px solid rgba(255,255,255,0.04);

    border-radius: 18px;

    padding: 28px;

    max-height: 700px;
    overflow-y: auto;

    text-align: left;
}

.rules-box::-webkit-scrollbar {
    width: 8px;
}

.rules-box::-webkit-scrollbar-track {
    background: rgba(255,255,255,0.03);
    border-radius: 999px;
}

.rules-box::-webkit-scrollbar-thumb {
    background: rgba(255,0,128,0.25);
    border-radius: 999px;
}

.rules-box h1,
.rules-box h2,
.rules-box h3 {
    color: white;
    line-height: 1.4;
    margin-bottom: 14px;
}

.rules-box h1 {
    font-size: 34px;
    margin-bottom: 30px;
}

.rules-box h2 {
    font-size: 22px;
    margin-top: 38px;
}

.rules-box p,
.rules-box li {
    color: rgba(255,255,255,0.74);
    font-size: 15px;
    line-height: 1.85;
}

.rules-box ul {
    padding-left: 24px;
    margin-top: 16px;
    margin-bottom: 16px;
}

.rules-box li {
    margin-bottom: 10px;
}

.rules-box a {
    color: rgba(255,0,128);
    text-decoration: none;
}

.rules-box a:hover {
    opacity: 0.8;
}

/* === MODAL BACKDROP === */
.modal {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,0.75);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9999;
}

.hidden {
    display: none !important;
}

/* === MODAL BOX === */
.modal-content {
    width: 1100px!important;
    height: 900px!important;
    border-radius: 22px;
    color: #fff;
    /* font-family: Arial, sans-serif; */
    background: linear-gradient(135deg, #0f0c29, #302b63, #24243e);
}

.modal-section {
    background: rgba(20,20,40,0.85);
    border: 1px solid rgba(255,255,255,0.08);
    border-radius: 22px;
    backdrop-filter: blur(12px);
    box-shadow: 0 0 30px rgba(0,0,0,0.4);
    padding: 30px;
    height: 100%;
}

/* === LOGIN BUTTON === */
#steamLoginBtn {
    width: 100%;
    padding: 12px;
    background: #1b2838;
    border: 1px solid #66c0f4;
    color: #66c0f4;
    font-weight: bold;
    border-radius: 8px;
    cursor: pointer;
    transition: 0.2s;
}

#steamLoginBtn:hover {
    background: #66c0f4;
    color: #1b2838;
}

#items-container {
    margin-top: 15px;
    margin-bottom: 15px;
    padding: 15px;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 10px;
    overflow-y: auto;
    height: 765px;
}

.item {
    background: #2a2f3a;
    padding: 10px;
    border-radius: 10px;
    cursor: pointer;
    transition: 0.2s;
    border: 1px solid transparent;
    user-select: none;
}

.item:hover {
    background: #343b4a;
}

.item.selected {
    border: 1px solid #66c0f4;
    background: #1f2a3a;
}

.section-title-between {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.title-left {
    display: flex;
    align-items: center;
    gap: 12px;
}

/* === CLOSE BUTTON === */
#closeModal, #closePendingSkinsModal, #priceSort {
    width: 38px;
    height: 38px;

    border: none;
    border-radius: 10px;

    background: rgba(255,255,255,0.06);
    color: white;

    font-size: 20px;
    font-weight: 700;

    cursor: pointer;
    transition: 0.2s ease;

    display: flex;
    align-items: center;
    justify-content: center;
}

#itemSearch {
    width: 200px;
    height: 38px;

    border: none;
    border-radius: 10px;

    background: rgba(255,255,255,0.06);
    color: white!important;

    font-size: 20px;
    font-weight: 700;

    cursor: pointer;
    transition: 0.2s ease;

    display: flex;
    align-items: center;
    justify-content: center;

    padding: 15px;
}

#closeModal:hover, #closePendingSkinsModal:hover {
    background: rgba(255,0,128,0.2);
    transform: rotate(90deg);
}

.spinner {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    border: 5px solid #f3f3f3;
    border-top: 5px solid #3498db;
    border-radius: 50%;
    width: 50px;
    height: 50px;
    animation: spin 1s linear infinite;
}

@keyframes spin {
    0% { transform: translate(-50%, -50%) rotate(0deg); }
    100% { transform: translate(-50%, -50%) rotate(360deg); }
}

/* === HEADERS === */
.modal-content h3 {
    margin: 10px 0;
    font-size: 18px;
    border-bottom: 1px solid #333;
    padding-bottom: 5px;
}

.inventory-item {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
}

/* .item-content {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
} */

.item-content {
    display: flex;
    justify-content: center;
    align-items: center;
}

.item-price {
    position: absolute;
    top: 0;
    right: 0;
    background: #2ecc71;
    color: white;
    padding: 4px 8px;
    border-radius: 0 16px 0 12px;
    font-size: 12px;
    font-weight: 700;
    z-index: 999;
}

.item-condition {
    position: absolute;
    top: 0;
    left: 0;

    background: #3498db;
    color: white;

    padding: 4px 10px;
    border-radius: 16px 0 12px 0;

    font-size: 12px;
    font-weight: 700;

    z-index: 2;
}

.item-info {
    position: absolute;

    bottom: -30px;
    left: 0;

    display: flex;
    flex-direction: column;
    align-items: flex-start;

    gap: 2px;
}

.item-skin {
    font-size: 15px;
    font-weight: 700;
    color: #b8b8b8;
    line-height: 1;
}

.item-type {
    font-size: 13px;
    color: #8e8e8e;
    line-height: 1;
}

.item-img {
    height: 80px;
    object-fit: contain;
}

.progress {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.step {
    width: 150px;
    text-align: center;
}

.circle {
    width: 42px;
    height: 42px;
    border-radius: 50%;
    margin: auto;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: bold;
    position: relative;
    transition: 0.3s;
}

.circle.pending {
    border: 3px solid #3b4a60;
    background: #151c24;
}

.circle.loading {
    border: 4px solid orange;
    border-top-color: transparent;
    animation: spin 1s linear infinite;
}

.circle.success {
    background: #1f9d55;
    border: 3px solid #1f9d55;
    color: white;
}

.circle.error {
    background: #dc2626;
    border: 3px solid #dc2626;
    color: white;
}

.line {
    flex: 1;
    height: 3px;
    background: #233041;
    margin: 0 10px;
}

.line.active {
    background: #1f9d55;
}

.label {
    margin-top: 12px;
    color: #9fb0c3;
    font-size: 14px;
}

@keyframes spin {
    from {
        transform: rotate(0deg);
    }
    to {
        transform: rotate(360deg);
    }
}

.loader {
    border: 3px solid #f3f3f3; /* jasne tło */
    border-top: 3px solid #3498db; /* kolor obrotu */
    border-radius: 50%;
    width: 16px;
    height: 16px;
    animation: spin 1s linear infinite;
    display: inline-block;
    vertical-align: middle;
    margin-left: 5px;
}

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}
.loading-pay {
    position: relative;
    color: transparent; /* ukrywa tekst "Zapłać" */
}

.loading-pay::after {
    content: "Ładowanie";
    color: black;
}

.loading-pay::after {
    display: inline-block;
    width: 80px;
    text-align: left;
}

/* Animacja trzech kropek */
.loading-pay::after {
    content: "Ładowanie";
    animation: dots 1s steps(3, end) infinite;
}

@keyframes dots {
    0% { content: "Ładowanie"; }
    33% { content: "Ładowanie."; }
    66% { content: "Ładowanie.."; }
    100% { content: "Ładowanie..."; }
}

.max-height-168{
    max-height: 169px;
}

.inventory-filters {
    display: flex;           /* Ustawia elementy w jednym rzędzie */
    justify-content: flex-end; /* Wyrównanie do prawej */
    gap: 8px;                /* Odstęp między inputem a przyciskiem */
    align-items: center;     /* Wyrównanie pionowe, jeśli różne wysokości */
}

.spec-card {
    background: linear-gradient(
        145deg,
        rgba(8,8,20,0.95),
        rgba(15,15,35,0.95)
    );

    border-radius: 16px;
    padding: 20px;
    text-align: left;
    transition: 0.25s ease;
    border: 1px solid rgba(255,255,255,0.04);
}

.spec-card:hover {
    transform: translateY(-5px);
    border-color: rgba(255,0,128,0.3);
    box-shadow: 0 0 25px rgba(255,0,128,0.12);
}

.spec-card span {
    display: block;
    font-size: 0.75rem;
    color: #7b7f9e;
    margin-bottom: 10px;
    letter-spacing: 1px;
    font-weight: 600;
}

.spec-card h3 {
    font-size: 1rem;
    color: #fff;
    line-height: 1.5;
    font-weight: 600;
}

.spec-card.selected-skin {
    border-color: rgba(255,0,128,0.3);
    box-shadow: 0 0 25px rgba(255,0,128,0.12);
}

.spec-card-full {
    grid-column: span 2;
}

.spec-card-2 {
    grid-column: span 2;
}

.spec-card-3 {
    grid-column: span 3;
}

.spec-card-tall {
    min-height: 320px;
}

.trade-input {
    width: 100%;
    background: rgba(255,255,255,0);
    border: 1px solid rgba(255,255,255,0);
    color: white;
    outline: none;
}

select.trade-input option {
    background: #1b1b2f;
    color: white;
}

.next-btn {
    width: 100%;
    margin-top: 20px;
    height: 56px;
    border: none;
    border-radius: 14px;
    font-size: 16px;
    font-weight: 700;
    cursor: pointer;
    background: #5865f2;
    color: white;
    transition: 0.25s;
}

.next-btn:hover {
    transform: translateY(-2px);
}

.payment-layout {
    display: grid;
    grid-template-columns: 350px 1fr;
    gap: 20px;
    align-items: start;
}

.payment-methods {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 18px;
}

.payment-card {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 82px;
}

.payment-card img {
    max-height: 40px;
}

.payment-buttons {
    display: flex;
    gap: 14px;
    margin-top: 24px;
}

.back-btn,
.pay-btn {
    flex: 1;
    height: 56px;
    border: none;
    border-radius: 14px;
    font-size: 16px;
    font-weight: 700;
    cursor: pointer;
    transition: 0.25s ease;
}

.back-btn {
    background: rgba(255,255,255,0.06);
    color: white;
}

.back-btn:hover {
    background: rgba(255,255,255,0.1);
}

.pay-btn {
    background: #5865f2;
    color: white;
}

.pay-btn:hover {
    transform: translateY(-2px);
}

.payment-card.active-payment {
    border-color: rgba(255,0,128,0.3);
    box-shadow: 0 0 25px rgba(255,0,128,0.12);
}

.agreements {
    margin-top: 18px;
    display: flex;
    flex-direction: column;
    gap: 14px;
    text-align: left;
}

.agreement-item {
    display: flex;
    align-items: flex-start;
    justify-content: flex-start;
    text-align: left;
    gap: 10px;
    font-size: 13px;
    line-height: 1.5;
    cursor: pointer;
    /* color: rgba(255,255,255,0.82); */
    width: 100%;
}

.agreement-item span {
    text-align: left;
    width: 100%;
}

.agreement-item input[type="checkbox"] {
    appearance: none;
    -webkit-appearance: none;

    min-width: 22px;
    min-height: 22px;

    border-radius: 8px;
    cursor: pointer;
    position: relative;
    transition: 0.25s ease;

    background: linear-gradient(
        145deg,
        rgba(8,8,20,0.95),
        rgba(15,15,35,0.95)
    );

    border: 1px solid rgba(255,255,255,0.04);

    display: flex;
    align-items: center;
    justify-content: center;

    flex-shrink: 0;
    margin-top: 2px;
}

/* OKEJKA */
.agreement-item input[type="checkbox"]::before {
    content: "✓";

    font-size: 14px;
    font-weight: 700;

    color: rgba(255,0,128);

    opacity: 0;
    transform: scale(0.5);

    transition: 0.25s ease;

    background: linear-gradient(
        145deg,
        rgba(8,8,20,0.95),
        rgba(15,15,35,0.95)
    );
}

/* ACTIVE */
.agreement-item input[type="checkbox"]:checked {
    border-color: rgba(255,0,128,0.3);

    box-shadow:
        0 0 25px rgba(255,0,128,0.12);
}

/* POKAŻ PLUS */
.agreement-item input[type="checkbox"]:checked::before {
    opacity: 1;
    transform: scale(1);
}

@media (max-width:760px) {
    .avatar {
        width:300px;
        height:300px;
        border-radius:100%;
        top: 150px;
        margin-top: 20px;
    }

    h1 {
        font-size:2rem;
    }

    .navbar {
        position: absolute;
        top: 60px;
        left: 0;
        right: 0;
        flex-direction: column;
        gap: 15px;
        padding: 15px 0;
        display: none; /* ukryte dopóki nie klikniemy hamburgera */
        background: linear-gradient(
            145deg,
            rgba(8,8,20,0.95),
            rgba(15,15,35,0.95)
        );
        border-bottom: 1px solid rgba(255,0,128,0.3);
        box-shadow: 0 5px 15px rgba(255,0,128,0.12);
    }

    .navbar.show {
        display: flex;
    }

    .hamburger {
        display: block;
    }

    .navbar-container {
        padding: 15px 20px;
    }

    .container {
        margin-top: 50px;
    }

    .spec-section {
        padding: 20px;
        margin-top: 50px;
    }

    .section-title h2 {
        font-size: 1.1rem;
    }

    .spec-section.active {
        display: block;
    }

    .section-title {
        display: flex;
        align-items: center;
        gap: 12px;
        margin-bottom: 25px;
        border-bottom: 1px solid rgba(255,255,255,0.08);
        padding-bottom: 18px;
    }

    .section-title span {
        font-size: 1.4rem;
        color: #fff;
    }

    .spec-grid {
        grid-template-columns: 1fr;
    }

    .spec-grid-2, .spec-grid-3, .payment-layout, .payment-methods {
        grid-template-columns: 1fr;
    }

    .spec-card-2 {
        grid-column: span 1;
    }

    .tickets-section {
        padding: 20px;
        margin-top: 50px;
    }

    .tickets-grid {
        grid-template-columns: 1fr;
    }

    .ticket-bottom {
        flex-direction: column;
        align-items: flex-start;
    }

    .details-btn {
        width: 100%;
        text-align: center;
    }

    .rules-box {
        padding: 20px;
    }

    .rules-box h1 {
        font-size: 26px;
    }

    .rules-box h2 {
        font-size: 19px;
    }
}